Package de.gebit.integrity.exceptions

## Class ModelRuntimeLinkException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - de.gebit.integrity.exceptions.ModelRuntimeLinkException

- All Implemented Interfaces:
    `Serializable`

      public class ModelRuntimeLinkException
      extends RuntimeException

  Thrown if any `EObject`s remain unresolvable during runtime resolving of EMF proxies. This may be caused by missing .integrity files or unresolvable classes.
  Author:
    Rene Schneider - initial API and implementation
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ModelRuntimeLinkException​(String aMessage, org.eclipse.emf.ecore.EObject anUnresolvableObject, ModelSourceInformationElement aModelSourceInfo)` | Creates a new instance.
    `ModelRuntimeLinkException​(String aMessage, org.eclipse.emf.ecore.EObject anUnresolvableObject, ModelSourceInformationElement aModelSourceInfo, Throwable aCause)` | Creates a new instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ModelSourceInformationElement` | `getModelSourceInfo()` |
    `org.eclipse.emf.ecore.EObject` | `getUnresolvableObject()` |

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ModelRuntimeLinkException

          public ModelRuntimeLinkException​(String aMessage,
                                           org.eclipse.emf.ecore.EObject anUnresolvableObject,
                                           ModelSourceInformationElement aModelSourceInfo)

      Creates a new instance.
      Parameters:
        `aMessage` - the error message
        `anUnresolvableObject` - the unresolvable object

    - #### ModelRuntimeLinkException

          public ModelRuntimeLinkException​(String aMessage,
                                           org.eclipse.emf.ecore.EObject anUnresolvableObject,
                                           ModelSourceInformationElement aModelSourceInfo,
                                           Throwable aCause)

      Creates a new instance.
      Parameters:
        `aMessage` - the error message
        `anUnresolvableObject` - the unresolvable object
        `aCause` - the cause

  - ### Method Detail

    - #### getUnresolvableObject

          public org.eclipse.emf.ecore.EObject getUnresolvableObject()

    - #### getModelSourceInfo

          public ModelSourceInformationElement getModelSourceInfo()